Bug 114703 - FILEOPEN: DOCX: Incorrect numbering alignment (follow-up bug)
Summary: FILEOPEN: DOCX: Incorrect numbering alignment (follow-up bug)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2017-12-26 21:04 UTC by Xisco Faulí
Modified: 2018-01-09 15:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison LibreOffice 6.1 and MSO 2010 (116.85 KB, image/png)
2017-12-26 21:04 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-12-26 21:04:43 UTC
Created attachment 138666 [details]
comparison LibreOffice 6.1 and MSO 2010

This is a follow-up bug of bug 113547

Steps to reproduce:
1. Open attachment 119772 [details] from bug 95189

-> Numbering alignment is shift to the right. See attached image

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: 2bf1cc7372088ec31ac5f0fb60de57feda59d3b7
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2017-09-19 07:17:25 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2017-09-19 14:18:54 (GMT)
commit	c72a1a74b5b1064fc9cdf9994b11fce26d866e26 (patch)
tree	ebf199f2a5518452cdbc7354a6d04cd513911aed
parent	f00ca5f26492a56378da0c7e54003419d8c7dd05 (diff)
Related: tdf#112211 DOCX import: fix handling of missing first ind in <w:lvl>
Usually a DOCX numbering definition has multiple levels, each level
containing a <w:ind ... w:hanging="..."/> element. When this is missing,
we should default to the Word default, not to the Writer one.

This makes the DOCX version of tdf#106953 imported correctly, in
preparation of dropping the original fix that helped RTF only.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Miklos Vajna
Comment 1 Xisco Faulí 2017-12-26 21:06:49 UTC
attachment 100916 [details] from bug 79940 is also affected. ( Numbering A to G in the second section )
Comment 2 Commit Notification 2018-01-09 08:08:23 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6ec829055ab0b9d223979ae5f90d158d5549db1

tdf#114703 DOCX import: apply num defaults only to abstract nums

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Justin L 2018-01-09 13:26:16 UTC
verified that both examples here, plus another one of mine were fixed by this commit.
Comment 4 Commit Notification 2018-01-09 15:52:50 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9fcc98c2d7d072d1a99c7c8b59806715a393a4f&h=libreoffice-6-0

tdf#114703 DOCX import: apply num defaults only to abstract nums

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.